package com.qmth.sop.common.enums;

/**
 * @Description: 用户推送软通智服状态
 * @Author: CaoZixuan
 * @Date: 2023-11-24
 */
public enum RtzfSyncStatusEnum {
    WITHOUT_SYNC("不需要同步","不需要同步"),
    NEED_SYNC("需要同步","还从未成功执行用户同步定时任务的"),
    ALREADY_SYNC("已经同步","成功执行用户同步定时任务或用户信息更新定时任务的"),
    NEED_UPDATE("需要更新同步","用户在成功执行同步任务后又进行了编辑操作")
    ;

    RtzfSyncStatusEnum(String title, String desc) {
        this.title = title;
        this.desc = desc;
    }

    private final String title;
    private final String desc;

    public String getTitle() {
        return title;
    }

    public String getDesc() {
        return desc;
    }
}
